Bug 1852064 - [4.5] conmon processes continue to spawn as zombies but never close
Summary: [4.5] conmon processes continue to spawn as zombies but never close
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.5.z
Assignee: Peter Hunt
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On: 1848524
Blocks: 1186913
TreeView+ depends on / blocked
 
Reported: 2020-06-29 16:46 UTC by Peter Hunt
Modified: 2020-09-04 15:35 UTC (History)
22 users (show)

Fixed In Version: cri-o-1.18.3-2.rhaos4.5.git61de181.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1848524
Environment:
Last Closed: 2020-07-22 12:20:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github cri-o cri-o pull 3912 None closed [1.18] keep conmons created by execsyncs as direct children 2020-09-23 16:49:39 UTC
Red Hat Product Errata RHBA-2020:2956 None None None 2020-07-22 12:21:08 UTC

Comment 1 Dan Kenigsberg 2020-06-29 17:05:17 UTC
Peter, do you know why we have not seen this in ocp-4.4?

Comment 2 Peter Hunt 2020-06-29 17:08:34 UTC
I do not, this has been the way exec sync has worked for the life time of cri-o

Comment 20 errata-xmlrpc 2020-07-22 12:20:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2956


Note You need to log in before you can comment on or make changes to this bug.